/**
 * Copyright (C) 2012-2018 52°North Initiative for Geospatial Open Source
 * Software GmbH
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 as published
 * by the Free Software Foundation.
 *
 * If the program is linked with libraries which are licensed under one of
 * the following licenses, the combination of the program with the linked
 * library is not considered a "derivative work" of the program:
 *
 *     - Apache License, version 2.0
 *     - Apache Software License, version 1.0
 *     - GNU Lesser General Public License, version 3
 *     - Mozilla Public License, versions 1.0, 1.1 and 2.0
 *     - Common Development and Distribution License (CDDL), version 1.0
 *
 * Therefore the distribution of the program linked with libraries licensed
 * under the aforementioned licenses, is permitted by the copyright holders
 * if the distribution is compliant with both the GNU General Public
 * License version 2 and the aforementioned licenses.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 */
package org.n52.sos.util;

/**
 *
 * @author Christian Autermann
 */
public interface AQDJSONConstants {
    String REPORT_OBLIGATIONS = "reportObligations";
    String ID = "id";
    String NAME = "name";
    String ACTUATE = "actuate";
    String ADDRESS = "address";
    String ADDRESS_AREAS = "addressAreas";
    String ADDRESS_FEATURE = "addressFeature";
    String ADMIN_UNITS = "adminUnits";
    String ARCROLE = "arcrole";
    String CHANGE = "change";
    String CHANGED = "changed";
    String CODE_SPACE = "codeSpace";
    String CONTACT = "contact";
    String CONTACT_INSTRUCTIONS = "contactInstructions";
    String CONTENT = "content";
    String DELETE = "delete";
    String DESCRIPTION = "description";
    String ELECTRONIC_MAIL_ADDRESS = "electronicMailAddress";
    String GRAMMATICAL_GENDER = "grammaticalGender";
    String GRAMMATICAL_NUMBER = "grammaticalNumber";
    String HOURS_OF_SERVICE = "hoursOfService";
    String HREF = "href";
    String INDIVIDUAL_NAME = "individualName";
    String INSPIRE_ID = "inspireId";
    String IPA = "ipa";
    String LANGUAGE = "language";
    String LOCAL_ID = "localId";
    String LOCATOR_DESIGNATORS = "locatorDesignators";
    String LOCATOR_NAMES = "locatorNames";
    String NAME_STATUS = "nameStatus";
    String NAMESPACE = "namespace";
    String NATIVENESS = "nativeness";
    String NIL = "nil";
    String ORGANISATION_NAME = "organisationName";
    String POSITION_NAME = "positionName";
    String POST_CODE = "postCode";
    String POST_NAMES = "postNames";
    String PRONUNCIATION = "pronunciation";
    String REASON = "reason";
    String REMOTE_SCHEMA = "remoteSchema";
    String REPORTING_AUTHORITY = "reportingAuthority";
    String REPORTING_PERIOD = "reportingPeriod";
    String ROLE = "role";
    String ROLES = "roles";
    String SCRIPT = "script";
    String SHOW = "show";
    String SOUND_LINK = "soundLink";
    String SOURCE_OF_NAME = "sourceOfName";
    String SPELLING = "spelling";
    String TELEPHONE_FACSIMILE = "telephoneFacsimile";
    String TELEPHONE_VOICE = "telephoneVoice";
    String TEXT = "text";
    String THOROUGHFARES = "thoroughfares";
    String TITLE = "title";
    String TRANSLITERATION_SCHEME = "transliterationScheme";
    String TYPE = "type";
    String VALUE = "value";
    String VERSION_ID = "versionId";
    String WEBSITE = "website";
}
